Bug 591561 - AVC denials appeared during service vhostmd start/stop
AVC denials appeared during service vhostmd start/stop
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Walsh
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 10:50 EDT by Milos Malik
Modified: 2012-10-15 10:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-18.el6.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:57:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
AVC denials (15.98 KB, text/plain)
2010-05-12 10:51 EDT, Milos Malik
no flags Details

  None (edit)
Description Milos Malik 2010-05-12 10:50:14 EDT
Description of problem:


Version-Release number of selected component (if applicable):
selinux-policy-3.7.19-15.el6.noarch
selinux-policy-doc-3.7.19-15.el6.noarch
selinux-policy-minimum-3.7.19-15.el6.noarch
selinux-policy-mls-3.7.19-15.el6.noarch
selinux-policy-targeted-3.7.19-15.el6.noarch
vhostmd-0.4-2.2.el6.i686
vhostmd-debuginfo-0.4-2.2.el6.i686

How reproducible:
always

Steps to Reproduce:
# service vhostmd start
Starting vhostmd: [  OK  ]
# service vhostmd status
vhostmd (pid  30616) is running...
# service vhostmd stop
Stopping vhostmd: [  OK  ]
# ausearch -m avc -ts recent | audit2allow


#============= policykit_t ==============
allow policykit_t vhostmd_t:dir getattr;
allow policykit_t xm_t:dir getattr;

#============= xm_t ==============
allow xm_t proc_net_t:file read;
allow xm_t self:process { getcap setcap };


Actual results:
few AVC denials

Expected results:
no AVC denials
Comment 1 Milos Malik 2010-05-12 10:51:17 EDT
Created attachment 413450 [details]
AVC denials
Comment 2 Daniel Walsh 2010-05-12 11:12:39 EDT
Fixed in selinux-policy-3.7.19-16.fc13.noarch
Comment 5 Daniel Walsh 2010-05-18 15:35:59 EDT
Fixed in selinux-policy-3.7.19-18.el6.noarch
Comment 7 releng-rhel@redhat.com 2010-11-11 09:57:34 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.